d.rast.edit(1)

NAME
d.rast.edit.py - Edits cell values in a raster map.

KEYWORDS
display, editing, raster

SYNOPSIS
d.rast.edit.py
d.rast.edit.py --help
d.rast.edit.py input=name output=name [aspect=name] [width=integer] [height=integer] [size=integer] [rows=integer] [cols=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input raster map

output=name [required]
    Name for output raster map

aspect=name
    Name of input aspect raster map

width=integer
    Width of display canvas
    Default: 640

height=integer
    Height of display canvas
    Default: 480

size=integer
    Minimum size of each cell
    Default: 12

rows=integer
    Maximum number of rows to load
    Default: 100

cols=integer
    Maximum number of columns to load
    Default: 100

DESCRIPTION
The d.rast.edit program allows users to interactively edit cell category values in a raster map layer displayed to the graphics monitor using a mouse cursor.

USAGE
Note: this help page refers to the old Tcl/Tk version of this program. Parts of it may be out of date or wrong.

  Overview window
An overview window shows the entire map with a box showing the current editing region. The edit window shows the cells within the selected area. Click on a new spot on the overview window to move the editing area. Moving the editing view can take a while.

  Mouse and menus
Cell editing is done using a mouse cursor to choose menu selections and indicate areas on the displayed raster map that are to be edited.

Selections available at the top of the edit window are Save and Exit.

As the mouse travels over the cells in the edit window you are shown the current coordinates and current cell values under the cursor.

To change the value of a cell put the new value to use in the "New value" box at the bottom left of the edit window under the coordinate information bar. A value of "*" indicates a NULL value should be used.

  Arrows
This function is available for users editing aspect maps. The d.rast.arrow program is called, which draws arrows over the displayed cells to indicate the downslope direction of the cell. You can set the aspect map to use on the command line. Aspect maps are expected to be in regular "GRASS" format, as produced by r.slope.aspect; i.e. degrees counter-clockwise from east.

NOTES
There is no "undo" command or way to exit edit mode without saving changes.

Any MASK in place will be respected when writing the new raster map layer, including any edits to the MASKed areas.

  Geographic Region Concerns
d.rast.edit reads the region definition for the raster map layer being edited from its internal cell header file. The new, edited copy of the raster layer will be created with the same resolution and region dimensions.

The primary bane of the d.rast.edit program involves large map layers with lots of rows and columns) and/or slow computers, since the program must read and write raster map layers row by row for the full size of the map layer as dictated by its region size and resolution. (The current region settings of north, south, east, and west will not limit the size of the edited copy of the map layer, since by use of the overview selection these values may change several times during the editing session).

TODO
It would be nice to incorporate a scrollable version of d.legend (such that one could see a label legend for files with many categories on a standard size sub-frame). It would be even nicer to be able to select the category values from a graphical legend when editing cell values (thereby saving a trip to the text frame to type in the new value).

Perhaps method(s) for multiple or mass cell edits would be useful. This could be done by providing modes in which the user may:

1   edit a block of cells to a given value by drawing a box;

2   be able to choose a given value which is automatically used as the new value on each cell chosen until a different value is desired.

There is no interrupt handling. This could leave files in .tmp or (rarely) result in half-baked raster maps. The original file would survive unscathed by an interrupt at most any point in execution. Beware of exiting the program by means other than using exit on the Main Menu.

SEE ALSO
d.rast.arrow, d.rast.num

AUTHOR
Tcl/Tk and wxPython versions: Glynn Clements
Replaces Xdriver version in C by Chris Rewerts, Agricultural Engineering, Purdue University

Last changed: $Date: 2012-08-13 17:31:56 +0200 (po, 13 8 2012) $

Main index | Display index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual